SET(nice_vislearning_SRC
./image/GenericImageTools.cpp
./image/ImagePyramid.cpp
./mrf/mrfmin/regions-maxprod.cpp
./mrf/mrfmin/MaxProdBP.cpp
./mrf/mrfmin/mrf.cpp
./mrf/mrfmin/LinkedBlockList.cpp
./mrf/mrfmin/TRW-S.cpp
./mrf/mrfmin/ICM.cpp
./mrf/mrfmin/maxflow.cpp
./mrf/mrfmin/GCoptimization.cpp
./mrf/mrfmin/BP-S.cpp
./mrf/mrfmin/graph.cpp
./baselib/ColorSpace.cpp
./baselib/ICETools.cpp
./baselib/Preprocess.cpp
./baselib/RunningStatVector.cpp
./baselib/RunningStat.cpp
./baselib/ProgressBarQt.cpp
./baselib/Globals.cpp
./baselib/cc.cpp
./baselib/Gnuplot.cpp
./baselib/VectorStatistics.cpp
./baselib/ProgressBar.cpp
./baselib/Conversions.cpp
./baselib/cmdline.c
./regression/gpregression/modelselcrit/GPMSCLooEstimates.cpp
./regression/gpregression/modelselcrit/GPModelSelectionCriterion.cpp
./regression/gpregression/GPRegressionOptimizationProblem.cpp
./regression/gpregression/RegGaussianProcess.cpp
./regression/regressionbase/RegressionAlgorithmKernel.cpp
./regression/regressionbase/RegressionAlgorithm.cpp
./optimization/quadprog/Array.cpp
./optimization/quadprog/QuadProg++.cpp
./optimization/mapestimation/MAPEstimation.cpp
./optimization/mapestimation/MAPMultinomialDirichlet.cpp
./optimization/mapestimation/MAPMultinomialGaussianPrior.cpp
./math/topics/PLSA.cpp
./math/ftransform/FTransform.cpp
./math/ftransform/PCA.cpp
./math/kernels/KernelStd.cpp
./math/kernels/KernelRBF.cpp
./math/kernels/MultipleKernelData.cpp
./math/kernels/KernelLinearCombination.cpp
./math/kernels/KernelHIK.cpp
./math/kernels/ParameterizedKernel.cpp
./math/kernels/Kernel.cpp
./math/kernels/KernelExp.cpp
./math/kernels/OptimKernelParameterGradInterface.cpp
./math/kernels/KernelData.cpp
./math/kernels/TraceApproximation.cpp
./math/kernels/CachedQuadraticDistances.cpp
./math/kernels/KernelFixed.cpp
./math/kernels/KernelEXPHIK.cpp
./math/kernels/KernelLinCombNormalized.cpp
./math/pdf/PDFDirichlet.cpp
./math/pdf/PDFParzen.cpp
./math/pdf/PDFMultinomial.cpp
./math/pdf/PDFGaussian.cpp
./math/pdf/PDF.cpp
./math/pdf/PDFImage.cpp
./math/pdf/PDFParzenMulti.cpp
./math/fit/FitSigmoid.cpp
./math/cluster/GSCluster.cpp
./math/cluster/ClusterOnline.cpp
./math/cluster/KMeansHeuristic.cpp
./math/cluster/HierarchicalCluster.cpp
./math/cluster/SpectralCluster.cpp
./math/cluster/GenerateSignature.cpp
./math/cluster/KMeans.cpp
./math/cluster/KMeansMatlab.cpp
./math/cluster/ClusterAlgorithm.cpp
./math/cluster/KMeansOnline.cpp
./math/cluster/GMM.cpp
./math/cluster/cluster.c
./math/cluster/data.c
./math/mathbase/Featuretype.cpp
./math/mathbase/FullVector.cpp
./math/distances/ChiSqDistance.cpp
./math/distances/KernelStd.cpp
./math/distances/MaxDistance.cpp
./math/distances/EMDDistance.cpp
./math/distances/EMDDistanceSingle.cpp
./math/distances/KLDistance.cpp
./math/distances/Kernel.cpp
./math/distances/KernelExp.cpp
./math/distances/HistIntersectDistance.cpp
./math/distances/emd.cpp
./features/fpfeatures/ImageFeatures.cpp
./features/fpfeatures/createFeatures.cpp
./features/fpfeatures/HistFeature.cpp
./features/fpfeatures/FIHistograms.cpp
./features/fpfeatures/ColorHistogramFeature.cpp
./features/fpfeatures/SemanticFeature.cpp
./features/fpfeatures/HaarFeature.cpp
./features/fpfeatures/SparseVectorFeature.cpp
./features/fpfeatures/PixelPairFeature.cpp
./features/fpfeatures/FIGradients.cpp
./features/fpfeatures/HOGFeature.cpp
./features/fpfeatures/EOHFeature.cpp
./features/gradientfeatures/PHOGFeature.cpp
./features/gradientfeatures/Image_tools.cpp
./features/fbase/FeatureFactory.cpp
./features/simplefeatures/FCReadCache.cpp
./features/simplefeatures/HOGVectorFeatures.cpp
./features/simplefeatures/FCCodebookHistBin.cpp
./features/simplefeatures/FCWriteCache.cpp
./features/simplefeatures/Codebook.cpp
./features/simplefeatures/FCBagSift.cpp
./features/simplefeatures/FCSet.cpp
./features/simplefeatures/FCGreyValues.cpp
./features/simplefeatures/CodebookPrototypes.cpp
./features/simplefeatures/FCGetFeature.cpp
./features/localfeatures/IDRandomSampling.cpp
./features/localfeatures/LFWriteCache.cpp
./features/localfeatures/sift.cpp
./features/localfeatures/IDKLTSampling.cpp
./features/localfeatures/LFSiftPP.cpp
./features/localfeatures/LocalFeatureRepresentation.cpp
./features/localfeatures/LocalFeatureRGBSift.cpp
./features/localfeatures/LocalFeatureColorWeijer.cpp
./features/localfeatures/LocalFeatureCentrist.cpp
./features/localfeatures/IDSIFTSampling.cpp
./features/localfeatures/LFPatches.cpp
./features/localfeatures/LFCache.cpp
./features/localfeatures/LFReadCache.cpp
./features/localfeatures/LocalFeatureLFInterface.cpp
./features/localfeatures/LFColorSande.cpp
./features/localfeatures/LocalFeatureOpponnentSift.cpp
./features/localfeatures/LFMikolajczyk.cpp
./features/localfeatures/LFGenericLocal.cpp
./features/localfeatures/LocalFeature.cpp
./features/localfeatures/InterestDetector.cpp
./features/localfeatures/LFonHSG.cpp
./features/localfeatures/LocalFeatureSift.cpp
./features/combfeatures/FCFPFeature.cpp
./cbaselib/Feature.cpp
./cbaselib/LocalizationResult.cpp
./cbaselib/CategoryInfo.cpp
./cbaselib/LabeledFileList.cpp
./cbaselib/Polygon.cpp
./cbaselib/MutualInformation.cpp
./cbaselib/LabeledSetVectorTransform.cpp
./cbaselib/BasicVectorTransformations.cpp
./cbaselib/PascalResults.cpp
./cbaselib/ClassNames.cpp
./cbaselib/MultiDataset.cpp
./cbaselib/LocalizationAnalysis.cpp
./cbaselib/LabeledSetFactory.cpp
./cbaselib/ClassificationResult.cpp
./cbaselib/LabeledSet.cpp
./cbaselib/Example.cpp
./cbaselib/FeaturePool.cpp
./cbaselib/CachedExample.cpp
./cbaselib/BoundingBox.cpp
./cbaselib/KernelUtils.cpp
./cbaselib/VectorFeature.cpp
./cbaselib/ClassificationResults.cpp
./cbaselib/ImageInfo.cpp
./classifier/classifierinterfaces/VCFeaturePool.cpp
./classifier/classifierbase/FeaturePoolClassifier.cpp
./classifier/classifierbase/VecClassifier.cpp
./classifier/classifierbase/KernelClassifier.cpp
./classifier/fpclassifier/boosting/FPCBoosting.cpp
./classifier/fpclassifier/boosting/FPCFullSearch.cpp
./classifier/fpclassifier/randomforest/FPCRandomForests.cpp
./classifier/fpclassifier/randomforest/DecisionNode.cpp
./classifier/fpclassifier/randomforest/DTBRandom.cpp
./classifier/fpclassifier/randomforest/DecisionTree.cpp
./classifier/fpclassifier/randomforest/FPCRandomForestTransfer.cpp
./classifier/fpclassifier/randomforest/DTEstimateAPriori.cpp
./classifier/fpclassifier/randomforest/DTBStandard.cpp
./classifier/fpclassifier/randomforest/DTBPruning.cpp
./classifier/fpclassifier/randomforest/FPCDecisionTree.cpp
./classifier/fpclassifier/randomforest/DTBClusterRandom.cpp
./classifier/fpclassifier/randomforest/DecisionTreeBuilder.cpp
./classifier/fpclassifier/cascade/FPCCascade.cpp
./classifier/fpclassifier/cascade/CascadeOptimization.cpp
./classifier/fpclassifier/fptools/NegativeFactory.cpp
./classifier/fpclassifier/logisticregression/SLR.cpp
./classifier/fpclassifier/logisticregression/FPCSMLR.cpp
./classifier/fpclassifier/FPCGPHIK.cpp
./classifier/classifiercombination/VCPreRandomForest.cpp
./classifier/vclassifier/VCNormalize.cpp
./classifier/vclassifier/VCNearestClassMean.cpp
./classifier/vclassifier/VCLogisticRegression.cpp
./classifier/vclassifier/VCAmitSVM.cpp
./classifier/vclassifier/VecClassifierICE.cpp
./classifier/vclassifier/VCDTSVM.cpp
./classifier/vclassifier/VCSimpleGaussian.cpp
./classifier/vclassifier/VCLearnFromSC.cpp
./classifier/vclassifier/VCOneVsOne.cpp
./classifier/vclassifier/VCCrossGeneralization.cpp
./classifier/vclassifier/VCOneVsAll.cpp
./classifier/vclassifier/VCTransform.cpp
./classifier/vclassifier/VCNearestNeighbour.cpp
./classifier/vclassifier/VCSVMOneClass.cpp
./classifier/vclassifier/VCSVMLight.cpp
./classifier/kernelclassifier/LHCumulativeGauss.cpp
./classifier/kernelclassifier/KCGPLaplaceOneVsAll.cpp
./classifier/kernelclassifier/KCGPRegOneVsAll.cpp
./classifier/kernelclassifier/LikelihoodFunction.cpp
./classifier/kernelclassifier/KCGPLaplace.cpp
./classifier/kernelclassifier/KCGPApproxOneClass.cpp
./classifier/kernelclassifier/KCOneVsAll.cpp
./classifier/kernelclassifier/KCGPOneClass.cpp
./classifier/kernelclassifier/LaplaceApproximation.cpp
./classifier/kernelclassifier/GPLaplaceOptimizationProblem.cpp
./classifier/kernelclassifier/KCNullSpace.cpp
./classifier/kernelclassifier/KCGPRegression.cpp
./classifier/kernelclassifier/KCMinimumEnclosingBall.cpp
./matlabAccessHighLevel/ImageNetData.cpp
./regression/linregression/LinRegression.cpp
./regression/linregression/RANSACReg.cpp
./regression/npregression/RegKNN.cpp
./regression/randomforest/RTBRandom.cpp
./regression/randomforest/RTBMinDist.cpp
./regression/randomforest/RegRandomForests.cpp
./regression/randomforest/RegressionNode.cpp
./regression/randomforest/RegressionTree.cpp
./regression/randomforest/RegressionTreeBuilder.cpp
./regression/regcombination/RegPreRandomForests.cpp
./regression/regressionbase/RegressionAlgorithmKernel.cpp
./regression/splineregression/CRSplineReg.cpp
)
SET(nice_vislearning_HDR
./image/ImagePyramid.h
./image/GenericImageTools.h
./mrf/mrfmin/BP-S.h
./mrf/mrfmin/block.h
./mrf/mrfmin/energy.h
./mrf/mrfmin/TRW-S.h
./mrf/mrfmin/ICM.h
./mrf/mrfmin/MaxProdBP.h
./mrf/mrfmin/GCoptimization.h
./mrf/mrfmin/typeTruncatedQuadratic2D.h
./mrf/mrfmin/LinkedBlockList.h
./mrf/mrfmin/regions-new.h
./mrf/mrfmin/graph.h
./mrf/mrfmin/mrf.h
./baselib/doxygenDescription.h
./baselib/Gnuplot.h
./baselib/cmdline.h
./baselib/VectorStatistics.h
./baselib/ProgressBarQt.h
./baselib/cc.h
./baselib/Conversions.h
./baselib/ProgressBar.h
./baselib/RunningStat.h
./baselib/ICETools.h
./baselib/Globals.h
./baselib/RunningStatVector.h
./baselib/FastFilter.h
./baselib/ColorSpace.h
./baselib/Preprocess.h
./regression/gpregression/GPRegressionOptimizationProblem.h
./regression/gpregression/modelselcrit/genericGPModelSelection.h
./regression/gpregression/modelselcrit/GPModelSelectionCriterion.h
./regression/gpregression/modelselcrit/GPMSCLooEstimates.h
./regression/gpregression/RegGaussianProcess.h
./regression/regressionbase/RegressionAlgorithmKernel.h
./regression/regressionbase/RegressionAlgorithm.h
./regression/regressionbase/TeachWithInverseKernelMatrix.h
./regression/linregression/LinRegression.h
./regression/linregression/RANSACReg.h
./regression/npregression/RegKNN.h
./regression/randomforest/RTBClusterRandom.cpp
./regression/randomforest/RTBGrid.cpp
./regression/randomforest/RTBLinear.cpp
./regression/randomforest/RTBMeanPostImprovement.cpp
./regression/randomforest/RTBClusterRandom.h
./regression/randomforest/RTBGrid.h
./regression/randomforest/RTBLinear.h
./regression/randomforest/RTBMeanPostImprovement.h
./regression/randomforest/RTBMinDist.h
./regression/randomforest/RTBRandom.h
./regression/randomforest/RegRandomForests.h
./regression/randomforest/RegressionNode.h
./regression/randomforest/RegressionTree.h
./regression/randomforest/RegressionTreeBuilder.h
./regression/regcombination/RegPreRandomForests.h
./regression/splineregression/CRSplineReg.h
./optimization/quadprog/Array.h
./optimization/quadprog/QuadProg++.h
./optimization/mapestimation/MAPMultinomialDirichlet.h
./optimization/mapestimation/MAPMultinomialGaussianPrior.h
./optimization/mapestimation/MAPEstimation.h
./math/topics/PLSA.h
./math/ftransform/PCA.h
./math/ftransform/FTransform.h
./math/kernels/genericKernel.h
./math/kernels/ParameterizedKernel.h
./math/kernels/KernelFixed.h
./math/kernels/MultipleKernelData.h
./math/kernels/KernelData.h
./math/kernels/KernelExp.h
./math/kernels/KernelHIK.h
./math/kernels/CachedQuadraticDistances.h
./math/kernels/TraceApproximation.h
./math/kernels/Kernel.h
./math/kernels/OptimKernelParameterGradInterface.h
./math/kernels/KernelLinCombNormalized.h
./math/kernels/KernelEXPHIK.h
./math/kernels/KernelRBF.h
./math/kernels/KernelStd.h
./math/kernels/KernelLinearCombination.h
./math/pdf/PDFParzen.h
./math/pdf/PDFImage.h
./math/pdf/PDFGaussian.h
./math/pdf/gslRandomNumberGenerator.h
./math/pdf/PDFDirichlet.h
./math/pdf/PDF.h
./math/pdf/PDFParzenMulti.h
./math/pdf/PDFMultinomial.h
./math/fit/FitSigmoid.h
./math/cluster/KMeansOnline.h
./math/cluster/SpectralCluster.h
./math/cluster/GenerateSignature.h
./math/cluster/GSCluster.h
./math/cluster/HierarchicalCluster.h
./math/cluster/data.h
./math/cluster/ClusterAlgorithm.h
./math/cluster/ClusterOnline.h
./math/cluster/KMeansMatlab.h
./math/cluster/KMeansHeuristic.h
./math/cluster/GMM.h
./math/cluster/KMeans.h
./math/cluster/cluster.h
./math/mathbase/Featuretype.h
./math/mathbase/FullVector.h
./math/distances/genericDistance.h
./math/distances/KLDistance.h
./math/distances/EMDDistance.h
./math/distances/EMDDistanceSingle.h
./math/distances/KernelExp.h
./math/distances/emd.h
./math/distances/Kernel.h
./math/distances/MaxDistance.h
./math/distances/ChiSqDistance.h
./math/distances/HistIntersectDistance.h
./math/distances/KernelStd.h
./features/fpfeatures/TextonFeature.h
./features/fpfeatures/PixelPairFeature.h
./features/fpfeatures/FIHistograms.h
./features/fpfeatures/HOGFeature.h
./features/fpfeatures/ImageFeatures.h
./features/fpfeatures/ColorHistogramFeature.h
./features/fpfeatures/HistFeature.h
./features/fpfeatures/SemanticFeature.h
./features/fpfeatures/createFeatures.h
./features/fpfeatures/FIGradients.h
./features/fpfeatures/HaarFeature.h
./features/fpfeatures/SparseVectorFeature.h
./features/fpfeatures/EOHFeature.h
./features/gradientfeatures/Image_tools.h
./features/gradientfeatures/PHOGFeature.h
./features/fbase/FeatureFactory.h
./features/simplefeatures/HOGVectorFeatures.h
./features/simplefeatures/FCWriteCache.h
./features/simplefeatures/FCBagSift.h
./features/simplefeatures/FCReadCache.h
./features/simplefeatures/CodebookPrototypes.h
./features/simplefeatures/FCSet.h
./features/simplefeatures/FCGreyValues.h
./features/simplefeatures/FCGetFeature.h
./features/simplefeatures/Codebook.h
./features/simplefeatures/FCCodebookHistBin.h
./features/localfeatures/InterestDetector.h
./features/localfeatures/LocalFeature.h
./features/localfeatures/LFonHSG.h
./features/localfeatures/LFCache.h
./features/localfeatures/LFWriteCache.h
./features/localfeatures/LocalFeatureLFInterface.h
./features/localfeatures/LocalFeatureRepresentation.h
./features/localfeatures/LFColorSande.h
./features/localfeatures/LFPatches.h
./features/localfeatures/LFSiftPP.h
./features/localfeatures/IDRandomSampling.h
./features/localfeatures/LocalFeatureOpponnentSift.h
./features/localfeatures/GenericLFSelection.h
./features/localfeatures/GenericLocalFeatureSelection.h
./features/localfeatures/IDKLTSampling.h
./features/localfeatures/LocalFeatureRGBSift.h
./features/localfeatures/LFMikolajczyk.h
./features/localfeatures/LFGenericLocal.h
./features/localfeatures/LocalFeatureColorWeijer.h
./features/localfeatures/LocalFeatureCentrist.h
./features/localfeatures/sift.h
./features/localfeatures/LFReadCache.h
./features/localfeatures/LocalFeatureSift.h
./features/localfeatures/IDSIFTSampling.h
./features/combfeatures/FCFPFeature.h
./cbaselib/LabeledSetVectorTransform.h
./cbaselib/MultiDataset.h
./cbaselib/LabeledFileList.h
./cbaselib/KernelUtils.h
./cbaselib/CategoryInfo.h
./cbaselib/Example.h
./cbaselib/ClassificationResult.h
./cbaselib/LocalizationAnalysis.h
./cbaselib/CachedExample.h
./cbaselib/Feature.h
./cbaselib/VectorTransform.h
./cbaselib/VectorFeature.h
./cbaselib/BoundingBox.h
./cbaselib/PascalResults.h
./cbaselib/LabeledSetCreatorInterface.h
./cbaselib/MutualInformation.h
./cbaselib/ClassificationResults.h
./cbaselib/FeaturePool.h
./cbaselib/ClassNames.h
./cbaselib/LocalizationResult.h
./cbaselib/BasicVectorTransformations.h
./cbaselib/ImageInfo.h
./cbaselib/Polygon.h
./cbaselib/LabeledSetFactory.h
./cbaselib/LabeledSet.h
./cbaselib/LabeledSetSelection.h
./classifier/classifierinterfaces/VCFeaturePool.h
./classifier/classifierbase/VecClassifier.h
./classifier/classifierbase/KernelClassifier.h
./classifier/classifierbase/FeaturePoolClassifier.h
./classifier/fpclassifier/boosting/FPCBoosting.h
./classifier/fpclassifier/boosting/FPCFullSearch.h
./classifier/fpclassifier/randomforest/DTBStandard.h
./classifier/fpclassifier/randomforest/DecisionTree.h
./classifier/fpclassifier/randomforest/DTBRandom.h
./classifier/fpclassifier/randomforest/FPCRandomForestTransfer.h
./classifier/fpclassifier/randomforest/DecisionNode.h
./classifier/fpclassifier/randomforest/Bagging.h
./classifier/fpclassifier/randomforest/FPCDecisionTree.h
./classifier/fpclassifier/randomforest/FPCRandomForests.h
./classifier/fpclassifier/randomforest/DTBClusterRandom.h
./classifier/fpclassifier/randomforest/DecisionTreeBuilder.h
./classifier/fpclassifier/randomforest/DTBPruning.h
./classifier/fpclassifier/randomforest/DTEstimateAPriori.h
./classifier/fpclassifier/cascade/CascadeOptimization.h
./classifier/fpclassifier/cascade/FPCCascade.h
./classifier/fpclassifier/fptools/NegativeFactory.h
./classifier/fpclassifier/logisticregression/FPCSMLR.h
./classifier/fpclassifier/logisticregression/SLR.h
./classifier/fpclassifier/FPCGPHIK.h
./classifier/classifiercombination/VCPreRandomForest.h
./classifier/vclassifier/VCDTSVM.h
./classifier/vclassifier/VCCrossGeneralization.h
./classifier/vclassifier/VCLearnFromSC.h
./classifier/vclassifier/VCSVMOneClass.h
./classifier/vclassifier/VCNearestClassMean.h
./classifier/vclassifier/VCTransform.h
./classifier/vclassifier/VecClassifierICE.h
./classifier/vclassifier/VCLogisticRegression.h
./classifier/vclassifier/VCNearestNeighbour.h
./classifier/vclassifier/VCOneVsOne.h
./classifier/vclassifier/VCNormalize.h
./classifier/vclassifier/VCAmitSVM.h
./classifier/vclassifier/VCSVMLight.h
./classifier/vclassifier/VCSimpleGaussian.h
./classifier/vclassifier/VCOneVsAll.h
./classifier/kernelclassifier/KCGPLaplaceOneVsAll.h
./classifier/kernelclassifier/KCGPRegOneVsAll.h
./classifier/kernelclassifier/LaplaceApproximation.h
./classifier/kernelclassifier/KCGPOneClass.h
./classifier/kernelclassifier/KCGPLaplace.h
./classifier/kernelclassifier/KCMinimumEnclosingBall.h
./classifier/kernelclassifier/GPLaplaceOptimizationProblem.h
./classifier/kernelclassifier/LHCumulativeGauss.h
./classifier/kernelclassifier/KCOneVsAll.h
./classifier/kernelclassifier/KCGPRegression.h
./classifier/kernelclassifier/KCNullSpace.h
./classifier/kernelclassifier/LikelihoodFunction.h
./classifier/kernelclassifier/KCGPApproxOneClass.h
./classifier/genericClassifierSelection.h
./matlabAccessHighLevel/ImageNetData.h
./image/GenericImageTools.tcc
./baselib/FastFilter.tcc
./baselib/ColorSpace.tcc
./features/localfeatures/LFCache.tcc
./features/localfeatures/LFReadCache.tcc

)

